<?php

use Anomaly\Streams\Platform\Database\Migration\Migration;

class TerrostarExtensionDefaultBannerBlockCreateBlocksStream extends Migration
{

    /**
     * The stream definition.
     *
     * @var array
     */
    protected $stream = [
        'en'   => [
            'name'        => 'Default Banner',
            'description' => 'The default banner for interior pages.',
        ],
        'slug' => 'blocks',
    ];

    /**
     * The stream assignments.
     *
     * @var array
     */
    protected $assignments = [
        'subtitle' => [
            'en' => [
                'instructions' => 'If left blank the meta description will be used by default.',
            ],
        ],
        'image'    => [
            'en' => [
                'instructions' => 'The image will be fit to the width of the screen and automatically sized vertically and centered.',
            ],
        ],
    ];

}
